[arch-commits] Commit in gtk-doc/repos/extra-any (PKGBUILD PKGBUILD fixperms.diff)

Jan Steffens heftig at archlinux.org
Mon May 20 01:21:25 UTC 2019


    Date: Monday, May 20, 2019 @ 01:21:25
  Author: heftig
Revision: 353635

archrelease: copy trunk to extra-any

Added:
  gtk-doc/repos/extra-any/PKGBUILD
    (from rev 353633, gtk-doc/trunk/PKGBUILD)
  gtk-doc/repos/extra-any/fixperms.diff
    (from rev 353633, gtk-doc/trunk/fixperms.diff)
Deleted:
  gtk-doc/repos/extra-any/PKGBUILD

---------------+
 PKGBUILD      |   84 +++++++++++++++++++++++++++++---------------------------
 fixperms.diff |   12 ++++++++
 2 files changed, 56 insertions(+), 40 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-05-20 01:21:24 UTC (rev 353634)
+++ PKGBUILD	2019-05-20 01:21:25 UTC (rev 353635)
@@ -1,40 +0,0 @@
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgname=gtk-doc
-pkgver=1.30+1+g44c5972
-pkgrel=1
-pkgdesc="Documentation tool for public library API"
-url="https://www.gtk.org/gtk-doc/"
-arch=(any)
-license=(GPL FDL)
-depends=(docbook-xsl docbook-xml glib2-docs python-lxml python-pygments
-         python-anytree)
-makedepends=(dblatex git yelp-tools meson)
-checkdepends=(bc gtk3 python-six python-parameterized)
-optdepends=('dblatex: PDF support')
-_commit=44c5972b167176f15cc32fc46743b596b7f00fe5  # master~2
-source=("git+https://gitlab.gnome.org/GNOME/gtk-doc.git#commit=$_commit")
-sha256sums=('SKIP')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed -e 's/GTK_DOC_//' -e 's/_/\./g' -e 's/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-}
-
-build() {
-  arch-meson $pkgname build
-  ninja -C build
-}
-
-check() {
-  # Tests don't work yet
-  meson test -C build --print-errorlogs || :
-}
-
-package() {
-  DESTDIR="$pkgdir" meson install -C build
-}

Copied: gtk-doc/repos/extra-any/PKGBUILD (from rev 353633, gtk-doc/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-05-20 01:21:25 UTC (rev 353635)
@@ -0,0 +1,44 @@
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gtk-doc
+pkgver=1.30+1+g44c5972
+pkgrel=2
+pkgdesc="Documentation tool for public library API"
+url="https://www.gtk.org/gtk-doc/"
+arch=(any)
+license=(GPL FDL)
+depends=(docbook-xsl docbook-xml glib2-docs python-lxml python-pygments
+         python-anytree)
+makedepends=(dblatex git yelp-tools meson)
+checkdepends=(bc gtk3 python-six python-parameterized)
+optdepends=('dblatex: PDF support')
+_commit=44c5972b167176f15cc32fc46743b596b7f00fe5  # master~2
+source=("git+https://gitlab.gnome.org/GNOME/gtk-doc.git#commit=$_commit"
+        fixperms.diff)
+sha256sums=('SKIP'
+            'bd8489e54c2e089197a692482c6f25b237b99db2b0419c4dcc3f29ce6f21e7e4')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed -e 's/GTK_DOC_//' -e 's/_/\./g' -e 's/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+  # https://gitlab.gnome.org/GNOME/gtk-doc/issues/84
+  patch -Np1 -i ../fixperms.diff
+}
+
+build() {
+  arch-meson $pkgname build
+  ninja -C build
+}
+
+check() {
+  # Tests don't work yet
+  meson test -C build --print-errorlogs || :
+}
+
+package() {
+  DESTDIR="$pkgdir" meson install -C build
+}

Copied: gtk-doc/repos/extra-any/fixperms.diff (from rev 353633, gtk-doc/trunk/fixperms.diff)
===================================================================
--- fixperms.diff	                        (rev 0)
+++ fixperms.diff	2019-05-20 01:21:25 UTC (rev 353635)
@@ -0,0 +1,12 @@
+diff --git i/gtkdoc/highlight.py w/gtkdoc/highlight.py
+index 8f6e470..82e11e8 100644
+--- i/gtkdoc/highlight.py
++++ w/gtkdoc/highlight.py
+@@ -47,6 +47,6 @@ def highlight_code(code, lang='c'):
+ 
+ 
+ def append_style_defs(css_file_name):
+-    os.chmod(css_file_name, stat.S_IWRITE)
++    os.chmod(css_file_name, 0o644)
+     with open(css_file_name, 'at', newline='\n', encoding='utf-8') as css:
+         css.write(HTML_FORMATTER.get_style_defs())


More information about the arch-commits mailing list